On 15 March 2011 07:43, Martin Nordholts <ense...@gmail.com> wrote:
> Not including API to work with layer groups in Python is not a
> regression, it's just missing functionality in one of the scripting
> languages. It is unfortunate if GIMP 2.8 will be released without layer
> groups support in Python, but the alternative is worse: not releasing
> GIMP 2.8 at all. And we should arrange for the Python bindings to be
> automatically generated from the PDB rather than wasting man-weeks on
> manually keeping it up to date. Not an easy task perhaps, but the only
> sensible one.
Long term, bindings should of course be generated (or rather be
dynamic using pygobject, when/if possible).
However I need layer groups exposed for the Python API in order to
support layer groups in OpenRaster, so I will probably do these
bindings for 2.8. Just need to find the time. Do we have a bug open
about this issue?

Jon Nordby - www.jonnor.com
Gimp-developer mailing list

Reply via email to